<?php

namespace App\Http\Middleware;
use Illuminate\Support\Facades\Auth;
use Closure;
use DB;

class Instructor
{
    /**
     * Handle an incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \Closure  $next
     * @return mixed
     */
    public function handle($request, Closure $next)
    {

        if (Auth::guard('web')->check()) {
            if (Auth::guard('web')->user()->is_instructor == 2){
                return $next($request);
            }
        }
        return redirect()->route('student-dashboard');
    }

}
